<script lang="ts">
    import { families, champions as initialChampions, type Champion, type Family } from '$lib/tftData';
    import { page } from '$app/stores';
    
    let championName: string = $page.params.name;
    let championDetails: Champion | undefined;
    let family: Family | undefined;
    
    // Récupère les champions de localStorage lors du montage du composant
    let storedChampions = [];
    if (typeof window !== "undefined") {
        storedChampions = JSON.parse(localStorage.getItem('champions') || '[]');
    }
    
    // Combine les champions initiaux avec ceux stockés
    let allChampions = [...initialChampions, ...storedChampions];

    $: {
        console.log('Liste combinée des champions:', allChampions);
    
        // Recherche le champion par son nom dans la liste combinée
        championDetails = allChampions.find(c => c.name === championName);

        // Trouve la famille correspondante si le champion est trouvé
        if (championDetails) {
            family = families.find(f => f.id === championDetails.familyId);
        }
    }
    function navigate(url) {
    window.location.href = url;
  }
</script>



{#if championDetails && family}
    <div class="container mt-4">
        <h1>{championDetails.name}</h1>
        <img src={championDetails.image} class="img-fluid" alt={`Image de ${championDetails.name}`}>
        <p class="mt-3">{championDetails.description}</p>
        <a href={`/familles/${family.id}`} class="btn btn-primary mt-3"  on:click={() => navigate(`/familles/${family.id}`)}>Retour à la famille {family.name}</a>
    </div>
{:else}
    <p class="container mt-4">Champion introuvable.</p>
{/if}

<style>
    img {
        max-width: 100%;
        height: auto;
    }
</style>
